"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RCONPacketBuilder = void 0;
const bufwrapper_1 = require("@minecraft-js/bufwrapper");
const Int32LE_1 = require("../util/Int32LE");
const requestIdGenerator_1 = require("../util/requestIdGenerator");
const Packet_1 = require("./Packet");
/**
 * RCON Packet Builder, used
 * to create fully built packets
 */
class RCONPacketBuilder {
    /**
     * Create a new packet ready to be sent
     * @param type Type of the RCONPacket
     * @param payload Payload for this packet
     */
    constructor(type, payload) {
        const packet = new Packet_1.RCONPacket();
        packet.write(type, payload);
        this.requestId = (0, requestIdGenerator_1.generateRequestId)();
        const requestId = (0, Int32LE_1.writeInt32LE)(this.requestId);
        const buf = new bufwrapper_1.BufWrapper(null, { oneConcat: true });
        const packetLength = packet.buf.buffer.length + requestId.length;
        buf.writeToBuffer((0, Int32LE_1.writeInt32LE)(packetLength), requestId, packet.buf.buffer);
        buf.finish();
        this.buffer = buf.buffer;
    }
}
exports.RCONPacketBuilder = RCONPacketBuilder;
