"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.readInt32LE = exports.writeInt32LE = void 0;
/**
 * Encode a 32-bit integer (little-endian)
 * @param value Integer to write
 * @returns The buffer with the Int32LE
 */
function writeInt32LE(value) {
    const buf = Buffer.alloc(4);
    buf.writeInt32LE(value);
    return buf;
}
exports.writeInt32LE = writeInt32LE;
/**
 * Decode a 32-bit integer (little-endian)
 * @param buf Source buffer
 * @returns The read integer
 */
function readInt32LE(buf) {
    const bytes = buf.readBytes(4);
    return bytes.readInt32LE();
}
exports.readInt32LE = readInt32LE;
